Skip to main content
Credentials

List Credentials

Forward API reference.

Description

Lists Credentials in the specified Vault, with pagination and filtering.

Path

GET /api/v1/forward/vaults/{id}/credentials

Request headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Path parameters

ParameterTypeRequiredDescription
idstringYesVault ID.

Query parameters

ParameterTypeRequiredDescription
limitintegerNoPage size, maximum 100.
pagestringNoPagination cursor (recommended), taken from next_page in the previous response. Mutually exclusive with after_id and before_id.
after_idstringNoForward pagination cursor. Mutually exclusive with page and before_id.
before_idstringNoBackward pagination cursor. Mutually exclusive with page and after_id.
namestringNoSearch by mcp_server_url.

Example request

curl -X GET "https://api.qoder.com/api/v1/forward/vaults/vault_xxx/credentials" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

{
  "data": [
    {
      "id": "vcred_xxx",
      "type": "vault_credential",
      "vault_id": "vault_xxx",
      "auth": {
        "type": "static_bearer",
        "mcp_server_url": "https://mcp.example.com"
      },
      "display_name": "",
      "metadata": {
        "source": "console"
      },
      "created_at": "2026-07-23T10:00:00Z",
      "updated_at": "2026-07-23T10:00:00Z"
    }
  ],
  "first_id": "vcred_xxx",
  "last_id": "vcred_xxx",
  "has_more": false,
  "next_page": null
}

Empty-list response

{
  "data": [],
  "first_id": null,
  "last_id": null,
  "has_more": false,
  "next_page": null
}

Response fields

Each item in the response data array is a Vault credential object. See List pagination fields for pagination fields.

Errors

HTTPTypeTrigger
400invalid_request_errorThe request body, path parameters, or query parameters are invalid.
401authentication_errorThe authentication token is missing or invalid.
403permission_errorThe caller cannot access this resource.
404not_found_errorThe Vault does not exist or is not visible.
500/502/503api_errorForward or a dependent service failed.